# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "komando"
version = "1.0.0-alpha.3"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A command line utility to better organize and keep track of your commands."
readme = "README.md"
license = "MIT"
repository = "https://github.com/Vellyxenya/Komando"

[features]
default = []
embeddings = [
    "sqlite-vec",
    "ort",
    "fastembed",
]

[[bin]]
name = "komando_exec"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.92"

[dependencies.chrono]
version = "0.4.38"

[dependencies.clap]
version = "4.0"

[dependencies.crossterm]
version = "0.28.1"

[dependencies.dirs]
version = "5.0"

[dependencies.fastembed]
version = "5.11.0"
features = ["online"]
optional = true
default-features = false

[dependencies.ort]
version = "2.0.0-rc.11"
features = [
    "load-dynamic",
    "ndarray",
]
optional = true
default-features = false

[dependencies.rusqlite]
version = "0.38.0"
features = ["bundled"]

[dependencies.serde]
version = "1.0.214"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.132"

[dependencies.sqlite-vec]
version = "0.1.6"
optional = true

[dependencies.uuid]
version = "1.11"
features = ["v4"]

[dev-dependencies.tempfile]
version = "3.12"
